@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700&family=Work+Sans:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap');

/************************************************************************************
COLORES GOVCO - new
*************************************************************************************/

:root {  /*new colores govco*/
    
    --govcolor-black: #000000;
    --govcolor-tundora: #4B4B4B;
    --govcolor-dimgray: #737373;    
    --govcolor-concrete: #F2F2F2;
    --govcolor-white: #FFFFFF;
    --govcolor-marine: #3666CC;
    --govcolor-bluedark: #004884;
    --govcolor-bluelight: #E6EFFD;
    --govcolor-silver: #BABABA;
    --govcolor-hawkesblue: #F6F8F9;
    --govcolor-radicalred: #F42F63;
    --govcolor-shiraz: #A80521;
    --govcolor-orange: #F3561F;
    --govcolor-gold: #FFAB00;
    --mintic-yellow: #e8a046;
    --govcolor-elfgreen: #068460;
    --govcolor-bluedemin: #4573D0;
    --govcolor-blueocean: #5881D5;
    --govcolor-dodgerblue: #3772FF;
    --govcolor-bluemarlin: #4A7EFF;
    --govcolor-bluelake: #5B8BFF;
    --govcolor-blue-capri: #81ABFF;
    --govcolor-bluequilt: #9DBEFF;
    --govcolor-green: #069169;
    --govcolor-yellow: #FAD118;
    --govcolor-orangev2: #FF6C00;
    --govcolor-redflag: #D31F3F;
    --govtypo-fontfamily-title: "Montserrat";
    --govtypo-fontfamily-text: "Work Sans";
    --govtypo-text-regular: 400;
    --govtypo-text-medium: 500;
    --govtypo-text-bold: 700;
    --govtypo-text-semibold: 600;
    --govtypo-title-medium: 500;
    --govtypo-title-semibold: 600;
    --govtypo-h1: 2.5rem;
    --govtypo-h1-mobile: 2rem;
    --govtypo-h2: 2rem;
    --govtypo-h3: 1.5rem;
    --govtypo-h4: 1.25rem;
    --govtypo-h5: 1.125rem;
    --govtypo-h6: 1rem;
    --govtypo-h1-lh: 1.2;
    --govtypo-h2-lh: 1.25;
    --govtypo-h3-lh: 1.33;
    --govtypo-h4-lh: 1.5;
    --govtypo-h5-lh: 1.33;
    --govtypo-h6-lh: 1.38;
    --govtypo-p-lh: 1.75;
    --govtypo-description: 1.125rem;
    --govtypo-body-text1: 1rem;
    --govtypo-body-text2: 0.875rem;
    --govtypo-description-lh: 1.33;
    --govtypo-body-text1-lh: 1.38;
    --govtypo-body-text2-lh: 1.43;
    --govlabel-red: #EECDD2;
    --govlabel-default: var(--govcolor-concrete);
    --govlabel-yellow: #FFEECC;
    --govlabel-green: #CDE6DF;
    --govlabel-red-text: #B30937;
    --govlabel-default-text: var(--govcolor-black): ;
    --govlabel-yellow-text: #8B5D13;
    --govlabel-green-text: #0D684B;
}

body { /*update*/
    
    font-family: var(--govtypo-fontfamily-text);
    font-size: var(--govtypo-body-text1);
    font-weight: var(--govtypo-text-regular);
    line-height: var(--govtypo-body-text1-lh);
    color: var(--govcolor-tundora);
    text-align: left;   
    background-color: var(--govcolor-white);
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 { /*update*/
    font-family: var(--govtypo-fontfamily-title);
    color: var(--govcolor-marine);
    font-weight: var(--govtypo-title-semibold);

}

.h1, h1 { /*new*/
    font-size: clamp(var(--govtypo-h1-mobile), 1rem + 2vw, var(--govtypo-h1));
    line-height: var(--govtypo-h1-lh);
}
.h1:after, h1::after{
  display: none;
}

.h2, h2 { /*new*/
    font-size: var(--govtypo-h2);
    line-height: var(--govtypo-h2-lh);
    font-weight: var(--govtypo-text-regular);
    line-height: var(--govtypo-p-lh);
}

.h3, h3 { /*new*/
    font-size: var(--govtypo-h3);
    line-height: var(--govtypo-h3-lh);
    color: var(--govcolor-tundora);
}

.h4, h4 { /*new*/
    font-size: var(--govtypo-h4);
    line-height: var(--govtypo-h4-lh);
}

.h5, h5 { /*new*/
    font-size: var(--govtypo-h5);
    line-height: var(--govtypo-h5-lh);
}

.h6, h6 { /*new*/
    font-size: var(--govtypo-h6);
    line-height: var(--govtypo-h6-lh);
}



a { /*update*/
    color: var(--govcolor-marine);
    background-color: transparent;
}

a:visited { /*update*/
    color: var(--govcolor-tundora);
}

a:hover, a:visited:hover { /*new update*/
    color: var(--govcolor-bluedark);
    text-decoration: underline;
}

a:focus-visible { /*new -update*/

  color: var(--govcolor-bluedark) !important;
  outline: max(0.125rem, 0.125rem) solid #707070 !important;
  outline-offset: max(0.125rem, 0.188rem) !important;
  border-radius: 1.875rem !important;
}

a.disabled {
    color:  var(--govcolor-dimgray);
}

a,
a:hover,
a:focus,
a:active {
  text-decoration: none;
  color: rgb(6, 108, 225);
  
}

p {
  line-height: var(--govtypo-p-lh);
}

/*Fondos*/
.bg-convocatoria {
  background-image: url('https://www.minenergia.gov.co/documents/14399/banner-ppal-convocatoriaControlSocial-2025.webp');
  background-size: cover;
  background-position: center center;
  height: 700px;
}
/**/

.back-titulo{
  font-size: 3em;
  background: #00000073;
  border-radius: 20px;
  padding: 20px;
  color: #000;
}

#banner-convocatoria h1{
  font-size: 3rem;
}

#quien-convocatoria{
  background-color: #deaf39;
}

.boton-modal-convocatoria{
  background-color: #deaf39c2;
  border-radius: 15px;
  padding: 15px;
  transition: 0.75s;  
}

.boton-modal-convocatoria:hover{
  background-color: #deaf39;
  transform: scale(1.03);
}
.bg-proyectos {
  background-image: url('https://www.minenergia.gov.co/documents/14400/fondo-proyectos-convocatoriaControlSocial-2025.webp');
  background-size: cover;
  background-position: top right;
  height: 700px;
}
.fondo-proyectos{
  background-color: #FFF;
  border-radius: 20px;
  padding: 20px;
  -webkit-box-shadow: -8px 9px 6px 4px #DEAF39; 
  box-shadow: -8px 9px 6px 4px #DEAF39;
}
.bg-dudas {
  background-image: url('https://www.minenergia.gov.co/documents/14402/fondo-dudas-convocatoriaControlSocial-2025.webp');
  background-size: cover;
  background-position: center right;
  height: 700px;
}
.fondo-dudas{
  background-color: #FFF;
  border-radius: 20px;
  padding: 20px;
  -webkit-box-shadow: -8px 9px 6px 4px #DEAF39; 
  box-shadow: -8px 9px 6px 4px #DEAF39;
}
#postulacion-convocatoria{
  background-color: #f2c32f45;
}

@media (max-width: 768px) {
  .text-break-sm {
    word-wrap: break-word !important;
    overflow-wrap: break-word !important;
    word-break: break-word !important;
  }
  #banner-convocatoria h1{
    font-size: 2rem;
  }
}

/**TIMELINE INICIO**/
.timeline ul {
  --col-gap: 2rem;
  --row-gap: 2rem;
  --line-w: 0.25rem;
  display: grid;
  grid-template-columns: var(--line-w) 1fr;
  grid-auto-columns: max-content;
  column-gap: var(--col-gap);
  list-style: none;
  width: min(60rem, 90%);
  margin-inline: auto;
}

/* line */
.timeline ul::before {
  content: "";
  grid-column: 1;
  grid-row: 1 / span 20;
  background: rgb(225, 225, 225);
  border-radius: calc(var(--line-w) / 2);
}

/* columns*/

/* row gaps */
.timeline ul li:not(:last-child) {
  margin-bottom: var(--row-gap);
}

/* card */
.timeline ul li {
  grid-column: 2;
  --inlineP: 1.5rem;
  margin-inline: var(--inlineP);
  grid-row: span 2;
  display: grid;
  grid-template-rows: min-content min-content min-content;
}

/* fecha */
.timeline ul li .fecha {
  --fechaH: 3rem;
  height: auto;
  margin-inline: calc(var(--inlineP) * -1);

  background-color: var(--timeline-color);

  color: white;
  font-size: 1.25rem;
  font-weight: 700;

  display: grid;
  place-content: center;
  position: relative;
  padding: 10px;

  border-radius: calc(var(--fechaH) / 2) 0 0 calc(var(--fechaH) / 2);
}

.fecha{
  transition: 0.75s;
}
.fecha:hover{
  text-decoration: underline;
  transform: scale(1.05);
}

/* fecha flap */
.timeline ul li .fecha::before {
  content: "";
  width: var(--inlineP);
  aspect-ratio: 1;
  background: var(--timeline-color);
  background-image: linear-gradient(rgba(0, 0, 0, 0.2) 100%, transparent);
  position: absolute;
  top: 100%;

  clip-path: polygon(0 0, 100% 0, 0 100%);
  right: 0;
}

/* circle */
.timeline ul li .fecha::after {
  content: "";
  position: absolute;
  width: 2rem;
  aspect-ratio: 1;
  background: var(--bgColor);
  border: 0.3rem solid var(--timeline-color);
  border-radius: 50%;
  top: 50%;

  transform: translate(50%, -50%);
  right: calc(100% + var(--col-gap) + var(--line-w) / 2);
}

/* title descr */
.timeline ul li .title,
.timeline ul li .descr {
  background: var(--bgColor);
  position: relative;
  padding-inline: 1.5rem;
}
.timeline ul li .title {
  overflow: hidden;
  padding-block-start: 1.5rem;
  padding-block-end: 1rem;
  font-weight: 500;
}
.timeline ul li .descr {
  padding-block-end: 1.5rem;
  font-weight: 300;
}

/* shadows */
.timeline ul li .title::before,
.timeline ul li .descr::before {
  content: "";
  position: absolute;
  width: 90%;
  height: 0.5rem;
  background: rgba(0, 0, 0, 0.5);
  left: 50%;
  border-radius: 50%;
  filter: blur(4px);
  transform: translate(-50%, 50%);
}
.timeline ul li .title::before {
  bottom: calc(100% + 0.125rem);
}
.timeline ul li .descr::before {
  z-index: -1;
  bottom: 0.25rem;
}
.timeline .border-item {
  border: 5px solid;
  border-top: 0px;
  border-radius: 0px 0px 15px 15px;
}
.modal-body a {
  color: #0d6efd;
}
.modal-body a:hover {
  text-decoration: underline;
}

@media (min-width: 40rem) {
  .timeline ul {
    grid-template-columns: 1fr var(--line-w) 1fr;
  }
  .timeline ul::before {
    grid-column: 2;
  }
  .timeline ul li:nth-child(odd) {
    grid-column: 1;
  }
  .timeline ul li:nth-child(even) {
    grid-column: 3;
  }

  /* start second card */
  .timeline ul li:nth-child(2) {
    grid-row: 2/4;
  }

  .timeline ul li:nth-child(odd) .fecha::before {
    clip-path: polygon(0 0, 100% 0, 100% 100%);
    left: 0;
  }

  .timeline ul li:nth-child(odd) .fecha::after {
    transform: translate(-50%, -50%);
    left: calc(100% + var(--col-gap) + var(--line-w) / 2);
  }
  .timeline ul li:nth-child(odd) .fecha {
    border-radius: 0 calc(var(--fechaH) / 2) calc(var(--fechaH) / 2) 0;
  }
}
/**TIMELINE FIN**/